在ubuntu服务器上使用dell md3060e及其管理程序

之前采购了一批服务器和存储,几经折腾后最终安装在学校的机房。服务器上安装了ubuntu 14.04系统,存储是dell的直连存储md3060e(我第一次用这个设备),硬件上安装好后发现不知道怎么做RAID。于是在dell官网上找到了对应的程序,发现有个linux版本的程序:StorageEnclosureManagement,“号称”可以支持debian和ubuntu。

DELL的官方程序下载地址上是这样描述的:

Debian74 Storage Enclosure Management Software 1.3

Storage Enclosure Management Software for MD3060e JBOD Arrays, version 1.3, Debian74 installer
Fixes & Enhancements
Fixes:
-New OS support for Ubuntu 14.04, SLES 12, and ESXi 5.5 (CLI only).
-Implement build version number.
-6TB 4096n support.
-Ability to update HBA adapter firmware
–LSI 9207-8e
–LSI 9206-16e

之前的1.2版本声明是支持ubuntu 12.04版本。但这个版本我下载后在ubuntu 14.04上无法安装,提示为不支持的操作系统。

Warning: This OS is unsupported: debian14.04. Installer will now exit.

于是,尝试修改系统的发行版本信息,看看能不能骗过安装程序的监测。

sudo nano /etc/lsb-release
将其中的版本信息修改为debian wheezy 7.4。

修改完成后,可以正常安装了。

BTW:本来我还以为md3060e可以直接支持raid,但搜索一圈下来,发现这是个“直连”系统,意思是本身不支持RAID?Dell的技术支持也不是很靠谱,两圈电话问下来,也没有解决问题。最后给我推荐安装DELL的MDSM软件,但这个软件本身也不支持md3060e,还是需要其他MD3主控阵列才可以。因此要考虑使用mdadm或lvm来软管理这个磁盘柜了。

“在ubuntu服务器上使用dell md3060e及其管理程序”的2个回复

  1. 系统重启后,需要重新mount。即:
    mount /dev/md0 /disk1
    mount /dev/md1 /disk2

发表评论

电子邮件地址不会被公开。 必填项已用*标注